Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # pixel_reference_is_basic Struct Template Reference [xxx_is_basic] `#include <metafunctions.hpp>` ## Detailed Description ### template<typename PixelRef> struct boost::gil::pixel_reference_is_basic< PixelRef > Determines if a given pixel reference is basic Basic references must use gil::pixel& (if interleaved), gil::planar_pixel_reference (if planar). They must use the standard constness rules.
The documentation for this struct was generated from the following file: metafunctions.hpp